HomeDev GuideRecipesAPI Reference
Dev GuideAPI ReferenceUser GuideGitHubNuGetDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

Patch content type

Patch an existing content type. If a content type with the provided key does not exist an error is returned.

Path Params
string
required

The key of the content type to patch.

Body Params

The values of the content type that should be patched formatted according to RFC7396.

string
length between 2 and 255

The key that identifies this ContentType.

string
length ≤ 255

The display name of this ContentType.

string
length ≤ 255

A description of this ContentType.

string | null

The base type of this ContentType. Ignored for contracts; required for all other content types.

int32

A value that is used to when sorting ContentType instances.

mayContainTypes
array of strings

Provides a set of content types that can be created in containers of this type

mayContainTypes
mediaFileExtensions
array of strings

Provides a set of media file extensions that this content type can handle.

mediaFileExtensions
compositionBehaviors
array of strings

Provides a set of composition behaviors specifying how this content type can be used within compositions.

compositionBehaviors
properties
object

Dictionary with all custom properties of this ContentType.

Headers
boolean

Patch the content type even though the changes might result in data loss.

string

If provided, the PATCH request will only be considered if the value matches the RFC7232 ETag of the current resource. Weak ETags will always be ignored.

string

If provided, the PATCH request will only be considered if the resource has not been modified since the provided date. This parameter will be ignored if an 'If-Match' parameter is also provided.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json